//  Script for Operation Cobra textures.
//  Map by urgrund 2002
//  



textures/calais/sky_cal
// Original sky shader for mx_forestsky2
// Modified by urgrund

{
	qer_editorimage textures/calais/sky_cal.tga
	q3map_lightimage textures/calais/light_yellfake.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun	1.0 0.8 0.6 160 220 70
	q3map_surfacelight 140							

	fogvars ( .4 .4 .5 ) .000195
//	fogvars ( .3 .3 .305 ) .000095
//	skyfogvars ( .23 .23 .24 ) .1

	skyparms full 200 -
	
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.001 -0.003
		tcMod scale 6 6
		depthWrite
	}

	{
		map textures/skies/assa_clouds1.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}

}


textures/calais/cal_fog
{
	qer_editorimage textures/sfx/fog.tga
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 0
	fogparms ( .65 .65 .67 ) 750
}

textures/calais/flag_cloth
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 100 sin 0 .5 0 .2
	deformVertexes wave 100 sin 0 .5 0 .5

	{
		map textures/calais/flag_cloth.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/calais/flag_line1_512
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 .5 0 .1
	deformVertexes wave 100 sin 0 .5 0 .4

	{
		map textures/calais/flag_line1_512.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/calais/lightf1_7k
{
	qer_editorimage textures/calais/lightf1_7k.tga
	q3map_surfacelight 7000
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/calais/lightf1_7k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/calais/plant02
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	{
		map textures/calais/plant02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/calais/water_deadcalm
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/calais/window1r
{
	qer_editorimage textures/calais/window1r.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/calais/window1r.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/calais/flag_teleline
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	
	{
		map textures/calais/flag_teleline.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}


textures/calais/grass01
// shader for original unmodified Wolf texture.  Adds dirt particles when shot at.

{
	qer_editorimage  textures/stone/mxrock0b.tga
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock0b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/calais/dirt01
// shader for original unmodified Wolf texture.  Adds dirt particles when shot at.

{
	qer_editorimage  textures/terrain/grass_ml03cmp.tga
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain/grass_ml03cmp.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
